module RND_Extensions

	module RND_Canvas
		require 'sketchup.rb'
		require 'RND_Canvas/RND_Canvas_loader.rb'
	end

	if !file_loaded?('rnd_menu_loader')
		@@rnd_tools_menu = UI.menu("Plugins").add_submenu("Renderiza Tools")
	end

	#------New menu Items---------------------------
	if !file_loaded?('rnd_ew_loader')
		@@rnd_ew_menu = @@rnd_tools_menu.add_submenu("Websites")
		@@rnd_ew_menu.add_separator
		@@rnd_ew_menu.add_item("PluginStore"){UI.openURL('http://sketchucation.com/resources/pluginstore?pauthor=renderiza')}
		@@rnd_ew_menu.add_item("Extension Warehouse"){UI.openURL('http://extensions.sketchup.com/en/user/5451/store')}
		@@rnd_tools_menu.add_separator
		@@rnd_ew_menu.add_separator
	end
	#------------------------------------------------
	if !file_loaded?(__FILE__) then
		@@rnd_tools_menu.add_item('Canvas'){
		Sketchup.active_model.select_tool RND_Extensions::RND_Canvas::Canvas.new
		}
		# Add toolbar
		rnd_canvas_tb = UI::Toolbar.new "Canvas"
		rnd_canvas_cmd = UI::Command.new("Canvas"){
		Sketchup.active_model.select_tool RND_Extensions::RND_Canvas::Canvas.new
		}
		rnd_canvas_cmd.small_icon = "img/rnd_canvas_1_16.png"
		rnd_canvas_cmd.large_icon = "img/rnd_canvas_1_24.png"
		rnd_canvas_cmd.tooltip = "Canvas"
		rnd_canvas_cmd.status_bar_text = "Paint with Groups and Components"
		rnd_canvas_cmd.menu_text = "Canvas"
		rnd_canvas_tb = rnd_canvas_tb.add_item rnd_canvas_cmd
		rnd_canvas_tb.show
	end

	file_loaded('rnd_ew_loader')
	file_loaded('rnd_menu_loader')
	file_loaded(__FILE__)
end