=begin

(c) RENDERIZA 2013

THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE.

== Information
Author:: 
	*Renderiza 
Name:: CANVAS
Version:: 1.9
SU Version:: v2013
Date:: 8/4/2013
Description:: This script will copy selected componet and paste it multiple times while holding left mouse button.
Usage:: Create a component and while selected click the toolbar icon and then click & hold mouse to draw.

=end

module RND_Extensions

	module RND_Canvas
		require 'sketchup.rb'
		require 'extensions.rb'

		unless file_loaded?( __FILE__ )
			file_loaded( __FILE__ )
			# Create the extension. 
			ext = SketchupExtension.new 'Canvas', 'RND_Canvas/RND_Canvas_menus.rb'
			
			# Attach some nice info.
			ext.creator     = 'Renderiza'
			ext.version     = '1.9'
			ext.copyright   = '2013, Renderiza Studio.'
			ext.description = 'Canvas will copy selected componet and paste it multiple times while holding left mouse button.'

			# Register and load the extension on startup.
			Sketchup.register_extension ext, true
		end

	end

end

file_loaded( __FILE__ )